% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-edges.R
\name{render_edges_base}
\alias{render_edges_base}
\title{Render All Edges}
\usage{
render_edges_base(
  edges,
  layout,
  node_sizes,
  shapes = "circle",
  edge.color = "gray50",
  edge.width = 1,
  lty = 1,
  curve = 0,
  curvePivot = 0.5,
  arrows = TRUE,
  asize = 0.02,
  bidirectional = FALSE,
  loopRotation = NULL,
  edge.labels = NULL,
  edge.label.cex = 0.8,
  edge.label.bg = "white",
  edge.label.position = 0.5
)
}
\arguments{
\item{edges}{Edge data frame with from, to columns.}

\item{layout}{Matrix with x, y columns.}

\item{node_sizes}{Vector of node sizes.}

\item{shapes}{Vector of node shapes.}

\item{edge.color}{Vector of edge colors.}

\item{edge.width}{Vector of edge widths.}

\item{lty}{Vector of line types.}

\item{curve}{Vector of curvatures.}

\item{curvePivot}{Vector of curve pivot positions.}

\item{arrows}{Logical or vector: draw arrows?}

\item{asize}{Arrow size.}

\item{bidirectional}{Logical or vector: bidirectional arrows?}

\item{loopRotation}{Vector of loop rotation angles.}

\item{edge.labels}{Vector of edge labels or NULL.}

\item{edge.label.cex}{Label size.}

\item{edge.label.bg}{Label background color.}

\item{edge.label.position}{Label position along edge.}
}
\description{
Renders all edges in the network.
}
\keyword{internal}
